# Uses of Interface
org.eclipse.emf.cdo.view.CDOStaleReferencePolicy

Packages that use CDOStaleReferencePolicy
Package
Description
org.eclipse.emf.cdo.view
Client concepts for dealing with views, view sets, queries, CDO objects and EMF resource sets.

## Uses of CDOStaleReferencePolicy in org.eclipse.emf.cdo.view

Classes in org.eclipse.emf.cdo.view that implement CDOStaleReferencePolicy
Modifier and Type
Class
Description
`static class`
`CDOStaleReferencePolicy.DynamicProxy`
A `stale reference policy` that provides `Java dynamic proxies` when stale references are aceessed.
`static class`
`CDOStaleReferencePolicy.DynamicProxy.Enhanced`
A `dynamic proxy stale reference policy` with advanced `type` computation and caching.
Fields in org.eclipse.emf.cdo.view declared as CDOStaleReferencePolicy
Modifier and Type
Field
Description
`static final CDOStaleReferencePolicy`
CDOStaleReferencePolicy.`DEFAULT`
`static final CDOStaleReferencePolicy`
CDOStaleReferencePolicy.`EXCEPTION`
A stale reference policy that throws an `ObjectNotFoundException` each time.
`static final CDOStaleReferencePolicy`
CDOStaleReferencePolicy.`PROXY`
A stale reference policy that returns dynamic Java proxies with the appropriate EClasses.
Methods in org.eclipse.emf.cdo.view that return CDOStaleReferencePolicy
Modifier and Type
Method
Description
`CDOStaleReferencePolicy`
CDOView.Options.`getStaleReferenceBehaviour()`
Deprecated.
Use `CDOView.Options.getStaleReferencePolicy()`
`CDOStaleReferencePolicy`
CDOView.Options.`getStaleReferencePolicy()`
Returns the CDOStaleReferencePolicy in use.
Methods in org.eclipse.emf.cdo.view with parameters of type CDOStaleReferencePolicy
Modifier and Type
Method
Description
`void`
CDOView.Options.`setStaleReferenceBehaviour(CDOStaleReferencePolicy policy)`
Deprecated.
Use `CDOView.Options.setStaleReferencePolicy(CDOStaleReferencePolicy)`
`void`
CDOView.Options.`setStaleReferencePolicy(CDOStaleReferencePolicy policy)`
Sets a policy on how to deal with stale references.